Page MenuHomePhabricator

[1.31.0-wmf.2 ]&hidenondamaging=0 is ignored when "Show only likely problem edits" preference is enabled
Closed, ResolvedPublic

Description

  1. Opt out of the new filters for RC
  2. Enable the "Show only likely problem edits" preference for RC
  3. Go to RC. See only bad edits. This is expected.
  4. Click "Show probably good edits". The results don't change.

It looks like the preference is enabling the new-style ORES filters even if the new UI is disabled.

Details

Related Gerrit Patches:

Event Timeline

Catrope created this task.Oct 10 2017, 8:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Etonkovidova renamed this task from &hidenondamaging=0 is ignored when "Show only likely problem edits" preference is enabled to [1.31.0-wmf.2 ]&hidenondamaging=0 is ignored when "Show only likely problem edits" preference is enabled.Oct 12 2017, 5:55 PM

Some puzzling results:
(1) enwiki with 1.31.0-wmf.2 displays the issue
(2) hewiki 1.31.0-wmf.3- the Preference-RC option "Show only likely problem edits" can be overridden with the RC page option " Show probably good edits".


(3) betalabs displays the issue

Change 384504 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/core@master] RCFilters: Don't let new params filter out old page

https://gerrit.wikimedia.org/r/384504

Change 384504 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Don't let new params filter out old page

https://gerrit.wikimedia.org/r/384504

Checked in wmf.6 - the fix is in place.

Etonkovidova closed this task as Resolved.Nov 8 2017, 12:25 AM